Bug 332021 - (CVE-2007-5378) CVE-2007-5378 Tk GIF processing buffer overflow
CVE-2007-5378 Tk GIF processing buffer overflow
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=low,reported=20071009,public=2...
: Security
Depends On: 432510 432511 432512 432513
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-15 08:06 EDT by Tomas Hoger
Modified: 2008-02-22 03:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-22 03:52:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch against 8.3.5 created by Jamie Strandboge, which does not introduce CVE-2007-5137 (2.53 KB, patch)
2007-10-15 08:14 EDT, Tomas Hoger
no flags Details | Diff
Patch against 8.4.12 created by Jamie Strandboge, which does not introduce CVE-2007-5137 (2.48 KB, patch)
2007-10-15 08:15 EDT, Tomas Hoger
no flags Details | Diff

  None (edit)
Description Tomas Hoger 2007-10-15 08:06:55 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-5378 to the following vulnerability:

Buffer overflow in the FileReadGIF function in tkImgGIF.c for Tk Toolkit 8.4.12 and earlier, and 8.3.5 and earlier, allows user-assisted attackers to cause a denial of service (segmentation fault) via an animated GIF in which the first subimage is smaller than a subsequent subimage, which triggers the overflow in the ReadImage function, a different vulnerability than CVE-2007-5137.

References:

https://sourceforge.net/tracker/?func=detail&atid=112997&aid=1458234&group_id=12997
http://www.ubuntu.com/usn/usn-529-1
http://secunia.com/advisories/27207
Comment 1 Tomas Hoger 2007-10-15 08:12:02 EDT
Issue affects tk packages as shipped in Red Hat Enterprise Linux 2.1, 3 and 4.

Please note that original fix introduced anther issue known as CVE-2007-5137.
Comment 2 Tomas Hoger 2007-10-15 08:14:32 EDT
Created attachment 227521 [details]
Patch against 8.3.5 created by Jamie Strandboge, which does not introduce CVE-2007-5137
Comment 3 Tomas Hoger 2007-10-15 08:15:07 EDT
Created attachment 227531 [details]
Patch against 8.4.12 created by Jamie Strandboge, which does not introduce CVE-2007-5137
Comment 9 Red Hat Product Security 2008-02-22 03:52:44 EST
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2008-0134.html
  http://rhn.redhat.com/errata/RHSA-2008-0135.html


Note You need to log in before you can comment on or make changes to this bug.